# AODataSegmentGetExtrema

Gets the largest and smallest values for each entry in the block

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataSegmentGetExtrema(AOData aodata,const char name[],const char segment[],void *vmax,void *vmin)

Collective on AOData

### Input Parameters

| aodata | - the database
| name | - the name of the key
| segment | - the name of the segment

### Output Parameters

| vmax | - the maximum values (user must provide enough space)
| vmin | - the minimum values (user must provide enough space)

### Keywords

database transactions

### See Also

AODataCreateBasic(), AODataDestroy(), AODataKeyAdd(), AODataSegmentRestore(),
AODataSegmentGetIS(), AODataSegmentRestoreIS(), AODataSegmentAdd(), AODataKeyGetInfo(), AODataSegmentGetInfo(), AODataSegmentAdd()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages